This is the mail archive of the libstdc++@gcc.gnu.org mailing list for the libstdc++ project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]

libstdc++ compile error while building gcc-3.0 on hppa2.0w-hp-hpux11.0


Any help would be appreciated.  I'm not sure what information would be
useful besides the error below, and the subject line.

here is  the error:

In file included from
../../../../gcc-3.0/libstdc++-v3/include/bits/std_complex.h:43,
                             from
../../../../gcc-3.0/libstdc++-v3/src/complex_io.cc:30:

../../../../gcc-3.0/libstdc++-v3/include/c_std/bits/std_cmath.h:
                                              In function `double
std::pow(double, int)':

../../../../gcc-3.0/libstdc++-v3/include/c_std/bits/std_cmath.h:419:
                                             `double std::pow(double, int)'
conflicts with previous using declaration `double pow(double, int)'

thanks.

Mike Richards
richmj@us.ibm.com



Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]